## fst 0.7.2

=== DESCRIPTION ===
Package: fst
Type: Package
Title: Lightning Fast Serialization of Data Frames for R
Version: 0.7.2
Date: 2017-01-11
Author: Mark Klik
Maintainer: Mark Klik <markklik@gmail.com>
Description: Read and write data frames at high speed. Compress your data with fast and efficient type-optimized algorithms that allow for random access of stored data frames (columns and rows).
LazyData: true
Depends: R (>= 3.0.0)
Imports: data.table, Rcpp
LinkingTo: Rcpp
SystemRequirements: little-endian platform
RoxygenNote: 5.0.1
Suggests: testthat
License: BSD_2_clause + file LICENSE
Copyright: This package includes sources from the LZ4 library written
        by Yann Collet and sources of the ZSTD library owned by
        Facebook, Inc.
URL: https://fstpackage.github.io
BugReports: https://github.com/fstPackage/fst/issues
NeedsCompilation: yes
Packaged: 2017-01-12 12:56:17 UTC; MKLK
Repository: CRAN
Date/Publication: 2017-01-12 15:42:39

## fst 0.8.0

=== DESCRIPTION ===
Package: fst
Type: Package
Title: Lightning Fast Serialization of Data Frames for R
Description: Multithreaded serialization of compressed data frames using the 'fst' format. Allows for random (column and row) access of stored data.
Version: 0.8.0
Date: 2017-12-12
Authors@R: c(
    person("Mark", "Klik", ,"markklik@gmail.com", role = c("aut", "cre", "cph")))
LazyData: true
Depends: R (>= 3.0.0)
Imports: Rcpp
LinkingTo: Rcpp
SystemRequirements: little-endian platform
RoxygenNote: 6.0.1
Suggests: testthat, bit64, data.table, lintr, nanotime
License: AGPL-3 | file LICENSE
Copyright: This package includes sources from the LZ4 library written
        by Yann Collet, sources of the ZSTD library owned by Facebook,
        Inc. and sources of the fstlib library owned by Mark Klik
URL: https://fstpackage.github.io
BugReports: https://github.com/fstpackage/fst/issues
NeedsCompilation: yes
Packaged: 2017-12-12 22:34:21 UTC; Mark
Author: Mark Klik [aut, cre, cph]
Maintainer: Mark Klik <markklik@gmail.com>
Repository: CRAN
Date/Publication: 2017-12-13 08:20:07 UTC

## fst 0.8.2

=== DESCRIPTION ===
Package: fst
Type: Package
Title: Lightning Fast Serialization of Data Frames for R
Description: Multithreaded serialization of compressed data frames using the 'fst' format.
    The 'fst' format allows for random access of stored data and compression with the
    LZ4 and ZSTD compressors created by Yann Collet. The ZSTD compression library is owned by
    Facebook Inc.
Version: 0.8.2
Date: 2017-12-18
Authors@R: c(
    person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
    person("Yann", "Collet", role = c("ctb", "cph"),
      comment = "Yann Collet is author of the bundled LZ4 and ZSTD code and copyright holder of LZ4"),
    person("Facebook, Inc.", role = "cph", comment = "Bundled ZSTD code"))
LazyData: true
Depends: R (>= 3.0.0)
Imports: Rcpp
LinkingTo: Rcpp
SystemRequirements: little-endian platform
RoxygenNote: 6.0.1
Suggests: testthat, bit64, data.table, lintr, nanotime
License: AGPL-3 | file LICENSE
Copyright: This package includes sources from the LZ4 library written
        by Yann Collet, sources of the ZSTD library owned by Facebook,
        Inc. and sources of the fstlib library owned by Mark Klik
URL: https://fstpackage.github.io
BugReports: https://github.com/fstpackage/fst/issues
NeedsCompilation: yes
Packaged: 2017-12-18 00:32:49 UTC; Mark
Author: Mark Klik [aut, cre, cph],
  Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
    ZSTD code and copyright holder of LZ4),
  Facebook, Inc. [cph] (Bundled ZSTD code)
Maintainer: Mark Klik <markklik@gmail.com>
Repository: CRAN
Date/Publication: 2017-12-18 16:34:03 UTC

## fst 0.8.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: fst
 Type: Package
 Title: Lightning Fast Serialization of Data Frames for R
-Description: Multithreaded serialization of compressed data frames using the 'fst' format.
-    The 'fst' format allows for random access of stored data and compression with the
-    LZ4 and ZSTD compressors created by Yann Collet. The ZSTD compression library is owned by
-    Facebook Inc.
-Version: 0.8.2
-Date: 2017-12-18
+Description: Multithreaded serialization of compressed data frames using the
+    'fst' format. The 'fst' format allows for random access of stored data and
+    compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
+    compression library is owned by Facebook Inc.
+Version: 0.8.4
+Date: 2018-01-25
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -26,11 +26,11 @@
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2017-12-18 00:32:49 UTC; Mark
+Packaged: 2018-01-25 11:29:47 UTC; mklk
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-12-18 16:34:03 UTC
+Date/Publication: 2018-01-25 11:42:13 UTC

## fst 0.8.6

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.8.4
-Date: 2018-01-25
+Version: 0.8.6
+Date: 2018-05-15
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -18,7 +18,7 @@
 LinkingTo: Rcpp
 SystemRequirements: little-endian platform
 RoxygenNote: 6.0.1
-Suggests: testthat, bit64, data.table, lintr, nanotime
+Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
 License: AGPL-3 | file LICENSE
 Copyright: This package includes sources from the LZ4 library written
         by Yann Collet, sources of the ZSTD library owned by Facebook,
@@ -26,11 +26,11 @@
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2018-01-25 11:29:47 UTC; mklk
+Packaged: 2018-05-15 23:06:03 UTC; Mark
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-01-25 11:42:13 UTC
+Date/Publication: 2018-05-16 11:38:36 UTC

## fst 0.8.8

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.8.6
-Date: 2018-05-15
+Version: 0.8.8
+Date: 2018-06-06
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -26,11 +26,11 @@
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2018-05-15 23:06:03 UTC; Mark
+Packaged: 2018-06-06 21:29:19 UTC; Mark
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-05-16 11:38:36 UTC
+Date/Publication: 2018-06-07 13:50:42 UTC

## fst 0.8.10

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.8.8
-Date: 2018-06-06
+Version: 0.8.10
+Date: 2018-12-13
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -17,7 +17,7 @@
 Imports: Rcpp
 LinkingTo: Rcpp
 SystemRequirements: little-endian platform
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
 License: AGPL-3 | file LICENSE
 Copyright: This package includes sources from the LZ4 library written
@@ -26,11 +26,11 @@
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2018-06-06 21:29:19 UTC; Mark
+Packaged: 2018-12-13 23:20:57 UTC; Mark
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-06-07 13:50:42 UTC
+Date/Publication: 2018-12-14 00:00:06 UTC

## fst 0.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.8.10
-Date: 2018-12-13
+Version: 0.9.0
+Date: 2019-04-02
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -26,11 +26,11 @@
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2018-12-13 23:20:57 UTC; Mark
+Packaged: 2019-04-02 12:51:58 UTC; Mark
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-12-14 00:00:06 UTC
+Date/Publication: 2019-04-09 04:43:13 UTC

=== src/fstcore/LZ4/CMakeLists.txt ===

# define code files
set(liblz4_SRCS
    lz4.c
	xxhash.c
)

# declare LZ4 library
add_library(liblz4 STATIC
    ${liblz4_SRCS}
)

# exported include directories
target_include_directories(liblz4 PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

## fst 0.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.9.0
-Date: 2019-04-02
+Version: 0.9.2
+Date: 2020-03-31
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
@@ -17,20 +17,21 @@
 Imports: Rcpp
 LinkingTo: Rcpp
 SystemRequirements: little-endian platform
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
 License: AGPL-3 | file LICENSE
+Encoding: UTF-8
 Copyright: This package includes sources from the LZ4 library written
         by Yann Collet, sources of the ZSTD library owned by Facebook,
         Inc. and sources of the fstlib library owned by Mark Klik
 URL: https://fstpackage.github.io
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2019-04-02 12:51:58 UTC; Mark
+Packaged: 2020-03-31 21:07:23 UTC; mklk
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-04-09 04:43:13 UTC
+Date/Publication: 2020-04-01 18:40:08 UTC

## fst 0.9.4

=== DESCRIPTION ===
Package: fst
Type: Package
Title: Lightning Fast Serialization of Data Frames
Description: Multithreaded serialization of compressed data frames using the
    'fst' format. The 'fst' format allows for random access of stored data and
    compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
    compression library is owned by Facebook Inc.
Version: 0.9.4
Date: 2020-08-26
Authors@R: c(
    person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
    person("Yann", "Collet", role = c("ctb", "cph"),
      comment = "Yann Collet is author of the bundled LZ4 and ZSTD code and copyright holder of LZ4"),
    person("Facebook, Inc.", role = "cph", comment = "Bundled ZSTD code"))
LazyData: true
Depends: R (>= 3.0.0)
Imports: Rcpp
LinkingTo: Rcpp
SystemRequirements: little-endian platform
RoxygenNote: 7.1.1
Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
License: AGPL-3 | file LICENSE
Encoding: UTF-8
Copyright: This package includes sources from the LZ4 library written
        by Yann Collet, sources of the ZSTD library owned by Facebook,
        Inc. and sources of the fstlib library owned by Mark Klik
URL: http://www.fstpackage.org
BugReports: https://github.com/fstpackage/fst/issues
NeedsCompilation: yes
Packaged: 2020-08-26 19:31:37 UTC; Mark
Author: Mark Klik [aut, cre, cph],
  Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
    ZSTD code and copyright holder of LZ4),
  Facebook, Inc. [cph] (Bundled ZSTD code)
Maintainer: Mark Klik <markklik@gmail.com>
Repository: CRAN
Date/Publication: 2020-08-27 05:10:21 UTC

## fst 0.9.6

=== DESCRIPTION ===
--- 
+++ 
@@ -5,19 +5,18 @@
     'fst' format. The 'fst' format allows for random access of stored data and
     compression with the LZ4 and ZSTD compressors created by Yann Collet. The ZSTD
     compression library is owned by Facebook Inc.
-Version: 0.9.4
-Date: 2020-08-26
+Version: 0.9.6
+Date: 2022-02-01
 Authors@R: c(
     person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph")),
     person("Yann", "Collet", role = c("ctb", "cph"),
       comment = "Yann Collet is author of the bundled LZ4 and ZSTD code and copyright holder of LZ4"),
     person("Facebook, Inc.", role = "cph", comment = "Bundled ZSTD code"))
-LazyData: true
 Depends: R (>= 3.0.0)
 Imports: Rcpp
 LinkingTo: Rcpp
 SystemRequirements: little-endian platform
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
 License: AGPL-3 | file LICENSE
 Encoding: UTF-8
@@ -27,11 +26,11 @@
 URL: http://www.fstpackage.org
 BugReports: https://github.com/fstpackage/fst/issues
 NeedsCompilation: yes
-Packaged: 2020-08-26 19:31:37 UTC; Mark
+Packaged: 2022-02-01 12:47:17 UTC; Mark
 Author: Mark Klik [aut, cre, cph],
   Yann Collet [ctb, cph] (Yann Collet is author of the bundled LZ4 and
     ZSTD code and copyright holder of LZ4),
   Facebook, Inc. [cph] (Bundled ZSTD code)
 Maintainer: Mark Klik <markklik@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-08-27 05:10:21 UTC
+Date/Publication: 2022-02-01 13:20:02 UTC

## fst 0.9.8

=== DESCRIPTION ===
Package: fst
Type: Package
Title: Lightning Fast Serialization of Data Frames
Description: Multithreaded serialization of compressed data frames using the 'fst' format. The
    'fst' format allows for full random access of stored data and a wide range of compression
    settings using the LZ4 and ZSTD compressors.
Version: 0.9.8
Date: 2022-02-07
Authors@R: 
    person("Mark", "Klik", email = "markklik@gmail.com", role = c("aut", "cre", "cph"))
Depends: R (>= 3.0.0)
Imports: fstcore, Rcpp
LinkingTo: Rcpp, fstcore
SystemRequirements: little-endian platform
RoxygenNote: 7.1.2
Suggests: testthat, bit64, data.table, lintr, nanotime, crayon
License: AGPL-3 | file LICENSE
Encoding: UTF-8
URL: http://www.fstpackage.org
BugReports: https://github.com/fstpackage/fst/issues
NeedsCompilation: yes
Packaged: 2022-02-07 16:20:02 UTC; Mark
Author: Mark Klik [aut, cre, cph]
Maintainer: Mark Klik <markklik@gmail.com>
Repository: CRAN
Date/Publication: 2022-02-08 07:40:02 UTC

## fst 0.115.0

=== debian/changelog ===
fst (0.115.0-1) unstable; urgency=medium

  * Initial release. (Closes: #943316)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Nov 2019 15:37:12 +0100

=== debian/control ===
Source: fst
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Section: libdevel
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git
Homepage: https://git.iem.at/zmoelnig/FST/

Package: fst-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: Free Studio Technology for audio plugins (development files)
 Free Studio Technology (FST) is an audio plugin software interface
 that integrates software synthesizer and effects in digital audio
 workstations.
 It is an unencumbered, bona-fide reverse-engineered SDK that aims to be
 compatible with the ubiquitous but proprietary, deprecated and retracted
 VST2 interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## fst 0.115.2

=== tests/Makefile ===
#####################################################################
## GNUmakefile for GNU Makefiles ('make')
##
## see makefile for Windows' 'nmake'
#####################################################################

CPPFLAGS=-I..

sources=c_test.c cxx_test.cpp
programs=$(patsubst %.c,%,$(filter %.c,$(sources))) $(patsubst %.cpp,%,$(filter %.cpp,$(sources)))

.PHONY: all clean preproc

all: $(programs)

clean:
	-rm $(programs)
	-rm *.i *.ii

preproc: $(patsubst %.c,%.i,$(filter %.c,$(sources))) $(patsubst %.cpp,%.ii,$(filter %.cpp,$(sources)))


%.i: %.c
	$(CPP) $(CPPFLAGS) $< > $@
%.ii: %.cpp
	$(CPP) $(CPPFLAGS) $< > $@

=== debian/changelog ===
fst (0.115.2-1) unstable; urgency=medium

  * New upstream version 0.115.2
  * Run test-suite during build
  * Add autopkgtest
  * Ignore blhc job on salsa-ci

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 26 Nov 2020 20:59:10 +0100

fst (0.115.1-1) unstable; urgency=medium

  * New upstream version 0.115.1
  * Provide an alternative for vst2.x headers
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Nov 2020 10:11:53 +0100

fst (0.115.0-2) unstable; urgency=medium

  * Move fst-headers into pluginterfaces/ (Closes: #944791)
  * Install a pkg-config file
  * Add salsa-ci configuration
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Nov 2020 21:57:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: libdevel
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
-Standards-Version: 4.4.1
+ debhelper-compat (= 13),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

## fst 0.120.0

=== debian/changelog ===
fst (0.120.0-1) unstable; urgency=medium

  * New upstream version 0.120.0
  * Update d/copyright
    * Bump copyright dates
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 01 Sep 2021 17:06:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@

override_dh_auto_install:
	install -d debian/fst-dev/usr/share/pkgconfig
	install -p -m 0644 /usr/src/packages/SOURCES/fst.pc        debian/fst-dev/usr/share/pkgconfig/

=== debian/tests/control ===
# try building a dummy program
# - are there syntax errors in the SDK?
# - is the SDK installed properly?
# - does pkg-config work as expected
Test-Command: make -C tests "CPPFLAGS=$(pkg-config --cflags fst)"
Restrictions: allow-stderr
Depends: @, pkg-config, build-essential

## fst 0.122.0

=== debian/changelog ===
fst (0.122.0-1) unstable; urgency=medium

  * New upstream version 0.122.0
  * Refresh dates in d/copyright
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 15:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make -C tests/

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## fst 0.123.0

=== src/FstHost/Makefile ===
LIBS=-ldl -lrt

FST_CPPFLAGS=-I../../fst -I.. -DFST_DONT_DEPRECATE_UNKNOWN=1
FST_CXXFLAGS=-g -O0

archs: FstHost.32 FstHost.64

FstHost.32: ARCHFLAGS=-m32
FstHost.64: ARCHFLAGS=-m64

FstHost FstHost.32 FstHost.64: FstHost.cpp ../../fst/fst.h ../fst_utils.h
	$(CXX) $(FST_CPPFLAGS) $(CPPFLAGS) $(FST_CXXFLAGS) $(CXXFLAGS) $(ARCHFLAGS) $< -o $@ $(LIBS)

.PHONY: clean archs default
clean:
	rm -f FstHost FstHost.32 FstHost.64

=== src/FstProxy/Makefile ===
FST_CPPFLAGS=-I../../fst -I.. -DFST_DONT_DEPRECATE_UNKNOWN=1
FST_CXXFLAGS=-g -O0 -fPIC

LIBS=

archs: FstProxy.32.so FstProxy.64.so

FstProxy.32.so: ARCHFLAGS=-m32
FstProxy.64.so: ARCHFLAGS=-m64

FstProxy.so FstProxy.32.so FstProxy.64.so: FstProxy.cpp ../../fst/fst.h ../fst_utils.h
	$(CXX) -shared $(FST_CPPFLAGS) $(CPPFLAGS) $(FST_CXXFLAGS) $(CXXFLAGS) $(ARCHFLAGS) $< -o $@ $(LIBS)

.PHONY: clean archs default
clean:
	rm -f *.so

=== src/JstHost/Makefile ===
.PHONY: default
default:
	$(MAKE) -C Builds/LinuxMakefile/
%:
	$(MAKE) -C Builds/LinuxMakefile/ $@

=== debian/changelog ===
fst (0.123.0-1) unstable; urgency=medium

  * New upstream version 0.123.0
  * Fix 'clean' target (Closes: #1044840)
  * Update copyright information
    + Bump copyright dates
    + Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 16:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make -C tests/

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,7 @@
 # - does pkg-config work as expected
 Test-Command: make -C tests "CPPFLAGS=$(pkg-config --cflags fst)"
 Restrictions: allow-stderr
-Depends: @, pkg-config, build-essential
+Depends:
+ build-essential,
+ pkg-config,
+ @,

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
  https://git.iem.at/zmoelnig/FST/tags .*/-/archive/v?@ANY_VERSION@/FST-.*@ARCHIVE_EXT@

## fst 0.170.0

=== debian/changelog ===
fst (0.170.0-1) unstable; urgency=medium

  * New upstream version 0.170.0

  * Install more docs
  * Bump version in pkg-config file
  * Update copyright information
    + Bump copyright dates
    + Regenerate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Update d/watch
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Feb 2025 09:32:38 +0100

## fst 0.175.0

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #####################################################################
 ## GNUmakefile for GNU Makefiles ('make')
 ##
-## see makefile for Windows' 'nmake'
+## see makefile.msvc for Windows' 'nmake'
 #####################################################################
 
 CPPFLAGS=-I..
@@ -21,6 +21,6 @@
 
 
 %.i: %.c
-	$(CPP) $(CPPFLAGS) $< > $@
+	$(CC) -E $(CPPFLAGS) $< > $@
 %.ii: %.cpp
-	$(CPP) $(CPPFLAGS) $< > $@
+	$(CXX) -E $(CPPFLAGS) $< > $@

=== src/FstPlugin/Makefile ===
FST_CPPFLAGS=-I../../fst -I.. -DFST_DONT_DEPRECATE_UNKNOWN=1
FST_CXXFLAGS=-g -O0 -fPIC

LIBS=

archs: FstPlugin.32.so FstPlugin.64.so

FstPlugin.32.so: ARCHFLAGS=-m32
FstPlugin.64.so: ARCHFLAGS=-m64

FstPlugin.so FstPlugin.32.so FstPlugin.64.so: FstPlugin.cpp ../../fst/fst.h ../fst_utils.h
	$(CXX) -shared $(FST_CPPFLAGS) $(CPPFLAGS) $(FST_CXXFLAGS) $(CXXFLAGS) $(ARCHFLAGS) $< -o $@ $(LIBS)

.PHONY: clean archs default
clean:
	rm -f *.so

=== debian/changelog ===
fst (0.175.0-1) unstable; urgency=medium

  * New upstream version 0.175.0
  * Install upstream pkg-config file
  * Install all upstream docs
  * Inject CPPFLAGS into upstream testsuite
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Feb 2025 17:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

## fst 0.177.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.29)

# parse version from fst/fst.h
file(STRINGS fst/fst.h CURRENT_VERSION REGEX "^ *# *define  *FST_MAJOR_VERSION  *([0-9]*)$")
set(major ${CMAKE_MATCH_1})
file(STRINGS fst/fst.h CURRENT_VERSION REGEX "^ *# *define  *FST_MINOR_VERSION  *([0-9]*)$")
set(minor ${CMAKE_MATCH_1})
file(STRINGS fst/fst.h CURRENT_VERSION REGEX "^ *# *define  *FST_MICRO_VERSION  *([0-9]*)$")
set(micro ${CMAKE_MATCH_1})
set(CURRENT_VERSION "${major}.${minor}.${micro}")

project(FST
  VERSION "${CURRENT_VERSION}"
  DESCRIPTION "Free Studio Technology"
  HOMEPAGE_URL https://git.iem.at/zmoelnig/FST
)

message ("-- FST: ${FST_VERSION}")


include_directories(BEFORE ${CMAKE_SOURCE_DIR}/fst)
set(CMAKE_SHARED_MODULE_PREFIX "")

option(FST_DEPRECATE_UNKNOWN "Build with deprecation warnings for unknown FST symbols" OFF)
if(FST_DEPRECATE_UNKNOWN)
else()
  add_compile_definitions(FST_DONT_DEPRECATE_UNKNOWN=1)
endif()


set(FST_BUILD_JUCE AUTO CACHE STRING "Build with JUCE")  # create the variable
set_property(CACHE FST_BUILD_JUCE PROPERTY STRINGS AUTO ON OFF)  #  define list of values GUI will offer for the variable


if(FST_BUILD_JUCE STREQUAL "AUTO")
  find_package(JUCE)
elseif(FST_BUILD_JUCE STREQUAL "ON")
  find_package(JUCE REQUIRED)
endif()

# a simple host application built form scratch
add_executable(FstHost
  src/FstHost/FstHost.cpp
)
target_include_directories(FstHost PRIVATE ${CMAKE_SOURCE_DIR}/src)

# a simple plugin built form scratch
add_library(FstPlugin MODULE
  src/FstPlugin/FstPlugin.cpp
)
target_include_directories(FstPlugin PRIVATE ${CMAKE_SOURCE_DIR}/src)

# a plugin that acts as a proxy for another plugin
# printing out the communication between the host and the proxied plugin
add_library(FstProxy MODULE
  src/FstProxy/FstProxy.cpp
)
target_include_directories(FstProxy PRIVATE ${CMAKE_SOURCE_DIR}/src)

if(${JUCE_FOUND})
  message ("-- FST: Building JUCE plugin & host")

  # JUCE expects the headers to be in pluginterfaces/vst2.x/ ...
  file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/pluginterfaces")
  file(CREATE_LINK "${CMAKE_SOURCE_DIR}/fst" "${CMAKE_BINARY_DIR}/pluginterfaces/vst2.x" SYMBOLIC)
  juce_set_vst2_sdk_path(${CMAKE_BINARY_DIR})


  # a JUCE based plugin
  juce_add_plugin(JstPlugin
    COMPANY_NAME "IEM"
    FORMATS VST
    PRODUCT_NAME "FstJUCEPlugin"
    # VST2 doesn't like versions >0.9 && <1.0, so we just strip the major version
    VERSION "${FST_VERSION_MINOR}.${FST_VERSION_PATCH}"
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE Jfst
    BUNDLE_ID "at.iem.git.zmoelnig.fst.JstPlugin"
    VST2_CATEGORY kPlugCategEffect
  )
  juce_generate_juce_header(JstPlugin)
  target_sources(JstPlugin PRIVATE
    src/JstPlugin/Source/PluginEditor.cpp
    src/JstPlugin/Source/PluginEditor.h
    src/JstPlugin/Source/PluginProcessor.h
    src/JstPlugin/Source/PluginProcessor.cpp
  )
  target_compile_definitions(JstPlugin PRIVATE
    JUCE_REPORT_APP_USAGE=0
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_VST3_CAN_REPLACE_VST2=0
  )
  target_link_libraries(JstPlugin PRIVATE
    juce::juce_audio_devices
    juce::juce_audio_processors
    juce::juce_audio_utils
    juce::juce_recommended_warning_flags
  )
  # copy the plugin to the build directory
  get_target_property(jstplugin_bin JstPlugin_VST JUCE_PLUGIN_ARTEFACT_FILE)
  add_custom_command(
    TARGET JstPlugin_VST POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
    ${jstplugin_bin}
    ${CMAKE_CURRENT_BINARY_DIR}
  )

  # a JUCE based host
  juce_add_console_app(JstHost
    COMPANY_NAME "IEM"
    FORMATS VST
    PRODUCT_NAME "JstHost"
    BUNDLE_ID "at.iem.git.zmoelnig.fst.JstHost"
  )
  juce_generate_juce_header(JstHost)
  target_sources(JstHost PRIVATE
    src/JstHost/Source/Main.cpp
  )
  target_compile_definitions(JstHost PRIVATE
    JUCE_REPORT_APP_USAGE=0
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_VST3_CAN_REPLACE_VST2=0
    JUCE_PLUGINHOST_VST=1
  )
  if(MSVC AND NOT CMAKE_MSVC_RUNTIME_LIBRARY)
    # Default to statically linking the runtime libraries
    set_property(TARGET JstHost PROPERTY MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
  endif()

  target_link_libraries(JstHost PRIVATE
    juce::juce_audio_devices
    juce::juce_audio_processors
    juce::juce_audio_utils
    juce::juce_recommended_warning_flags
  )
  # copy the app to the build directory
  get_target_property(jsthost_dir JstHost RUNTIME_OUTPUT_DIRECTORY)
  add_custom_command(
    TARGET JstHost POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
    "${jsthost_dir}/JstHost"
    ${CMAKE_CURRENT_BINARY_DIR}
  )
endif()


add_subdirectory(tests)

=== src/Makefile ===
subdirs=FstHost FstPlugin JstHost JstPlugin

.PHONY: default
default:
	for i in $(subdirs); do make -C $$i; done

%:
	for i in $(subdirs); do make -C $$i $@; done

=== tests/CMakeLists.txt ===
# a simple host application built form scratch
add_executable(c_test
  c_test.c
)
add_executable(cxx_test
  cxx_test.cpp
)

=== tests/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ## see makefile.msvc for Windows' 'nmake'
 #####################################################################
 
-CPPFLAGS=-I..
+CPPFLAGS=-I../fst
 
 sources=c_test.c cxx_test.cpp
 programs=$(patsubst %.c,%,$(filter %.c,$(sources))) $(patsubst %.cpp,%,$(filter %.cpp,$(sources)))

=== src/FstPlugin/Makefile ===
FST_CPPFLAGS=-I../../fst -I.. -DFST_DONT_DEPRECATE_UNKNOWN=1
FST_CXXFLAGS=-g -O0 -fPIC

LIBS=

archs: FstPlugin.32.so FstPlugin.64.so

FstPlugin.32.so: ARCHFLAGS=-m32
FstPlugin.64.so: ARCHFLAGS=-m64

FstPlugin.dll FstPlugin.32.dll FstPlugin.64.dll FstPlugin.so FstPlugin.32.so FstPlugin.64.so: FstPlugin.cpp ../../fst/fst.h ../fst_utils.h
	$(CXX) -shared $(FST_CPPFLAGS) $(CPPFLAGS) $(FST_CXXFLAGS) $(CXXFLAGS) $(ARCHFLAGS) $< -o $@ $(LIBS)

FstPlugin.32.dll: CXX=i686-w64-mingw32-g++
FstPlugin.64.dll: CXX=x86_64-w64-mingw32-g++

.PHONY: clean archs default
clean:
	rm -f *.so FstPlugin*.dll

=== debian/changelog ===
fst (0.177.0-1) unstable; urgency=medium

  * New upstream version 0.177.0
  * B-D on cmake
  * Backport patch to allow compilation with '-Werror'
  * Update copyright information
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 17:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+ cmake,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fst
 Vcs-Git: https://salsa.debian.org/multimedia-team/fst.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_auto_test:
-	make -C tests/
+	make -C tests/ CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)"
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
         debian/.*

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # - is the SDK installed properly?
 # - does pkg-config work as expected
 Test-Command: make -C tests "CPPFLAGS=$(pkg-config --cflags fst)"
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,
 Depends:
  build-essential,
  pkg-config,

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/zmoelnig/FST/tags?sort=updated_desc -/archive/v?\d[\d.-]+/FST-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
